package server.command;

import java.util.List;
import java.util.Map;

public interface Executable {
	Map<String, Parameter> getParameters();
	List<Parameter> getParamList();
	String getName();
	default Iterable<String> getCustomCompletions(CommandEnvironment env, Executor exec, ArgumentSplitter parsed, String param, String parser, String arg) {
		return null;
	}
}
