package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;

public class CommandKick extends Command {
	public CommandKick() {
		super("kick");
		
		this.addPlayer("player", false, UserPolicy.NON_ADMINS_NOT_SELF);
		this.setParamsOptional();
		this.addString("message", "Du wurdest vom Server geworfen", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, Player player, String message) {
		player.disconnect(message);
		exec.log("%s wurde vom Server geworfen", player.getUser());
	}
}
