package client.gui.container;

import client.Client;
import common.entity.Entity;
import common.inventory.ContainerEntityInventory;
import common.inventory.IInventory;


public class GuiEntity extends GuiContainer
{
    private IInventory playerInventory;
    private IInventory entityInventory;

    public GuiEntity(IInventory playerInv, IInventory entityInv, Entity entity)
    {
        super(new ContainerEntityInventory(playerInv, entityInv, entity, Client.CLIENT.player));
        this.playerInventory = playerInv;
        this.entityInventory = entityInv;
    }

    public void drawGuiContainerForegroundLayer()
    {
        this.drawString(this.entityInventory.getCommandName(), 8, 6);
        this.drawString(this.playerInventory.getCommandName(), 8, this.ySize - 96 + 2);
    }

//    /**
//     * Args : renderPartialTicks, mouseX, mouseY
//     */
//    protected void drawGuiContainerBackgroundLayer(int mouseX, int mouseY)
//    {
//        GlState.color(1.0F, 1.0F, 1.0F, 1.0F);
//        this.gm.getTextureManager().bindTexture(horseGuiTextures);
//        int i = (this.width - this.xSize) / 2;
//        int j = (this.height - this.ySize) / 2;
////        this.rect(i, j, 0, 0, this.xSize, this.ySize);
//
////        if (this.horseEntity.isChested())
////        {
////            this.rect(i + 79, j + 17, 0, this.ySize, 90, 54);
////        }
//
////        if (this.horseEntity.canWearArmor())
////        {
////            this.rect(i + 7, j + 35, 0, this.ySize + 54, 18, 18);
////        }
//
////        GuiInventory.drawEntityOnScreen(i + 51, j + 60, 17, (float)(i + 51) - this.mousePosx, (float)(j + 75 - 50) - this.mousePosY, this.horseEntity);
//    }

//    /**
//     * Draws the screen and all the components in it. Args : mouseX, mouseY, renderPartialTicks
//     */
//    public void drawScreen(int mouseX, int mouseY)
//    {
//        this.mousePosx = (float)mouseX;
//        this.mousePosY = (float)mouseY;
//        super.drawScreen(mouseX, mouseY);
//    }
}
